Skip to main content
PUT
/
boards
/
{boardPublicId}
Update board
curl --request PUT \
  --url https://kan.bn/api/v1/boards/{boardPublicId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "slug": "<string>",
  "favorite": true,
  "isArchived": true
}
'
import requests

url = "https://kan.bn/api/v1/boards/{boardPublicId}"

payload = {
    "name": "<string>",
    "slug": "<string>",
    "favorite": True,
    "isArchived": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>', slug: '<string>', favorite: true, isArchived: true})
};

fetch('https://kan.bn/api/v1/boards/{boardPublicId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

boardPublicId
string
required
Minimum string length: 12

Body

application/json
name
string
Minimum string length: 1
slug
string
Required string length: 3 - 60
Pattern: ^(?![-]+$)[a-zA-Z0-9-]+$
visibility
enum<string>
Available options:
public,
private
favorite
boolean
isArchived
boolean

Response

Successful response

success
boolean
required